#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget* parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    this->setWindowFlags(Qt::CustomizeWindowHint | Qt::WindowCloseButtonHint | Qt::WindowMinimizeButtonHint);

    products << "Apple I"
             << "Apple II"
             << "Apple III"
             << "Macintosh"
             << "Apple Lisa"
             << "Power Macintosh"
             << "Power Mac G3"
             << "eMac"
             << "Mac mini"
             << "iMac"
             << "Mac Pro";

    ui->list1->addItems(products);
    countAll = ui->list1->count();

    array = new int[countAll];
}

MainWindow::~MainWindow()
{
    delete[] array;
    delete ui;
}

void MainWindow::on_btnR1_clicked()
{
    ui->list2->clear();

    qsrand(QTime::currentTime().msec());

    for (int i = 0; i < countAll; i++) {
        array[i] = i;
    }

    for (int i = 0; i < countAll; i++) {
        int j = qrand() % (countAll); //Рандомим число
        int str = array[i]; //Запоминаем вопрос
        array[i] = array[j]; //Замена вопросов
        array[j] = str; //Замена вопросов
    }

    for (int i = 0; i < countAll; i++) {
        ui->list2->addItem(ui->list1->item(array[i])->text());
    }
}

void MainWindow::on_btnR2_clicked()
{
    ui->list2->clear();

    qsrand(QTime::currentTime().msec());

    int j = 0;
    for (int i = 0; i < countAll; i++) {
        array[i] = i;
    }
    for (int i = 0; i < countAll; i++) {
        j = qrand() % (countAll - i);
        ui->list2->addItem(ui->list1->item(array[j])->text());
        array[j] = array[countAll - i - 1];
    }
}
